| Home | Libraries | People | FAQ | More

## Function template find_token

boost::algorithm::find_token — Find token algorithm.

## Synopsis

    template<typename RangeT, typename PredicateT>
      iterator_range< typename range_result_iterator< RangeT >::type >
      find_token(RangeT & Input, PredicateT Pred,
                 token_compress_mode_type eCompress = token_compress_off);

## Description

Look for a given token in the string. Token is a character that matches the given predicate. If the "token compress mode" is enabled, adjacent tokens are considered to be one match.

Parameters: |
`Input` | A input string.
`Pred` | An unary predicate to identify a token
`eCompress` | Enable/Disable compressing of adjacent tokens
Returns: | An `iterator_range` delimiting the match. Returned iterator is either `RangeT::iterator` or `RangeT::const_iterator` , depending on the constness of the input parameter.
Notes: | This function provides the strong exception-safety guarantee

| Copyright © 2002-2004 Pavol Droba